CREATE TABLE cst_rc_vargt_68064_dyd (
    TRANSACTION_ID                NUMBER(18, 0)    NOT NULL,
    REC_TRXN_ID                   NUMBER(18, 0)    NOT NULL,
    DEP_TRXN_ID                   NUMBER(18, 0)    NOT NULL,
    EFF_DATE                      TIMESTAMP(6)     NOT NULL,
    COST_COMPONENT_ID             NUMBER(18, 0)    NOT NULL,
    COST_ELEMENT_ID               NUMBER(18, 0)    NOT NULL,
    CURRENCY_CODE                 VARCHAR2(120)    NOT NULL,
    ACTUAL_UNIT_COST              NUMBER           NOT NULL,
    STANDARD_UNIT_COST            NUMBER           NOT NULL,
    EXPENSE_POOL_ID               NUMBER(18, 0)    NOT NULL,
    COST_TRANSACTION_TYPE         VARCHAR2(40) ,
    ADDITIONAL_PROCESSING_CODE    VARCHAR2(960),
    BASE_TXN_SOURCE_TYPE_ID       NUMBER(18, 0),
    BASE_TXN_ACTION_ID            NUMBER(18, 0),
    TRANSACTION_ID                NUMBER(18, 0)    NOT NULL,
    REC_TRXN_ID                   NUMBER(18, 0)    NOT NULL,
    DEP_TRXN_ID                   NUMBER(18, 0)    NOT NULL,
    EFF_DATE                      TIMESTAMP(6)     NOT NULL,
    COST_COMPONENT_ID             NUMBER(18, 0)    NOT NULL,
    COST_ELEMENT_ID               NUMBER(18, 0)    NOT NULL,
    CURRENCY_CODE                 VARCHAR2(120)    NOT NULL,
    ACTUAL_UNIT_COST              NUMBER           NOT NULL,
    STANDARD_UNIT_COST            NUMBER           NOT NULL,
    EXPENSE_POOL_ID               NUMBER(18, 0)    NOT NULL,
    COST_TRANSACTION_TYPE         VARCHAR2(40) ,
    ADDITIONAL_PROCESSING_CODE    VARCHAR2(960),
    BASE_TXN_SOURCE_TYPE_ID       NUMBER(18, 0),
    BASE_TXN_ACTION_ID            NUMBER(18, 0)
);
